Bug 1000676 - SELinux is preventing /usr/libexec/gnome-session-check-accelerated-helper from 'read' accesses on the file modprobe. [NEEDINFO]
SELinux is preventing /usr/libexec/gnome-session-check-accelerated-helper fro...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:cddf6e3d6e9d655e9c971660424...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-24 04:36 EDT by hx
Modified: 2013-10-25 06:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-25 06:19:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dwalsh: needinfo?


Attachments (Terms of Use)

  None (edit)
Description hx 2013-08-24 04:36:53 EDT
Description of problem:
SELinux is preventing /usr/libexec/gnome-session-check-accelerated-helper from 'read' accesses on the file modprobe.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that gnome-session-check-accelerated-helper should be allowed read access on the modprobe file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep gnome-session-c /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:sysctl_modprobe_t:s0
Target Objects                modprobe [ file ]
Source                        gnome-session-c
Source Path                   /usr/libexec/gnome-session-check-accelerated-
                              helper
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           gnome-session-3.8.4-1.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-69.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.10.4-300.fc19.x86_64 #1 SMP Tue
                              Jul 30 11:29:05 UTC 2013 x86_64 x86_64
Alert Count                   7
First Seen                    2013-08-06 22:47:18 EEST
Last Seen                     2013-08-06 22:47:45 EEST
Local ID                      7b61c386-ff39-4a1c-84f3-1480cccd1bc6

Raw Audit Messages
type=AVC msg=audit(1375818465.826:673): avc:  denied  { read } for  pid=2291 comm="gnome-session-c" name="modprobe" dev="proc" ino=16614 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:sysctl_modprobe_t:s0 tclass=file


type=SYSCALL msg=audit(1375818465.826:673): arch=x86_64 syscall=open success=no exit=EACCES a0=7f7ac0f786e7 a1=0 a2=0 a3=7ffff66bded0 items=0 ppid=2280 pid=2291 auid=4294967295 uid=42 gid=42 euid=42 suid=42 fsuid=42 egid=42 sgid=42 fsgid=42 ses=4294967295 tty=(none) comm=gnome-session-c exe=/usr/libexec/gnome-session-check-accelerated-helper subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)

Hash: gnome-session-c,xdm_t,sysctl_modprobe_t,file,read

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.9-200.fc19.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-08-26 15:52:12 EDT
Is this happening before you login?

Note You need to log in before you can comment on or make changes to this bug.